Subject: Re: bug#66743: 30.0.50; Crash when dumping reftex

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Oct 2023 14:01:32 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 27 Oct 2023 10:55:37 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> If `error' does all the necessary cleanup, `emacs_abort' is indeed not
> >> necessary. But that's not very obvious from the source code.
> >
> > What cleanup is needed in this case?
> 
> I have no idea.
> To be clear: I am not sure what is the difference between `emacs_abort'
> and `error'.

AFAIU, in batch mode there's no difference, since calling 'error'
shows a backtrace and exits.

> If you say that using `error' instead of `emacs_abort' is safe, I will
> just follow. I expect that you know these details well.

I think it's safe, since we already do that in other places in
pdumper.c.